import { Inject, Component, OnInit} from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA} from '@angular/material/dialog';

var URLSafeBase64 = require('urlsafe-base64');
var Buffer = require('buffer/').Buffer;

@Component({
  selector: 'app-prompt-invoice',
  templateUrl: './prompt-invoice.component.html',
  styleUrls: ['./prompt-invoice.component.css']
})
export class PromptInvoiceComponent implements OnInit {
	orderId: string;
	invoiceUrl: string;

	constructor(
		private dialogRef: MatDialogRef<PromptInvoiceComponent>,
		@Inject(MAT_DIALOG_DATA) public data: {orderId: string}
	) {
		this.orderId = data.orderId;
		this.invoiceUrl = 'https://app.zgo.cash/invoice/'+this.orderId;
	}

	ngOnInit(): void {
	}


	confirm() {
		this.dialogRef.close(true);
	}

	close() {
		this.dialogRef.close(false);
	}

	copyUrl() {
		if (!navigator.clipboard) {
			alert("Copy functionality not supported");
		}
		try {
			navigator.clipboard.writeText(this.invoiceUrl);
		} catch (err) {
			console.error("Error", err);
		}
	}
}
